/**
 * Resoluo da Avaliao do Mdulo 783
 *
 * avaliacao.c
 *
 * Resoluo exemplo do Programa de Auxlio Matemtico
 *
 * Copyright (C) 2010 Srgio Lopes
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include <stdio.h>
#include <stdlib.h>

int main()
{

    float area, altura, largura, media, base, raio,
    perimetro, nota, soma;
    int nr_areas, nr_notas, i;
    char op, lixo;

    do
    {
        system("cls");

        printf("< Auxiliar Matemtico >\n\n\n");
        printf("1 - rea de Rectngulos com Mdia\n");
        printf("2 - rea de 5 Tringulos\n");
        printf("3 - rea de Circunferncias\n");
        printf("4 - Permetro de 5 Circunferncias\n");
        printf("5 - Mdia Ponderada de Notas\n");
        printf("6 - Sair\n");

        printf("\n: ");
        scanf("%c", &op);

        //limpar buffer
        while ((lixo = getchar()) != '\n' && lixo != EOF);

        switch(op)
        {
        case '1'://rea de rectngulo
            area = altura = largura = media = 0.0;
            nr_areas = 0;

            do
            {
                system("cls");

                printf("Largura: ");
                scanf("%f", &largura);

                printf("Altura: ");
                scanf("%f", &altura);
                while ((lixo = getchar()) != '\n' && lixo != EOF);

                if(largura > 0 && altura > 0)
                {
                    area = largura * altura;
                    soma += area;
                    nr_areas++;

                    printf("\nrea Determinada: %.4f", area);
                    printf("\n\nPrima \"enter\" para continuar...");

                    //parar o ecr
                    getchar();
                }
            }
            while(largura >= 0 && altura >= 0);

            media = area / nr_areas;

            printf("\nMdia de reas: %.2f", media);
            printf("\n\nPrima \"enter\" para continuar...");

            //parar o ecr
            getchar();

            break;
        case '2'://rea de 5 tringulos

            area = altura = base = 0.0;

            system("cls");
            printf("< rea de 5 Tringulos >\n\n");
            for(i = 1; i <= 5; i++)
            {
                printf("\nBase do %d Tringulo: ", i);
                scanf("%f", &base);

                printf("\nAltura do %d Tringulo: ", i);
                scanf("%f", &altura);
                while ((lixo = getchar()) != '\n' && lixo != EOF);

                if(base > 0 && altura > 0)
                {
                    area = (base * altura) / 2;
                    printf("\nrea do %d Tringulo: %.4f", i, area);
                    printf("\n\nPrima \"enter\" para continuar...");

                    //parar o ecr
                    getchar();
                }
            }

            system("cls");
            printf("\nTodas as reas Encontradas");
            printf("\n\nPrima \"enter\" para continuar...");

            //parar o ecr
            getchar();

            break;
        case '3'://rea de circunferncias
            area = raio = 0.0;
            while(raio >= 0)
            {
                system("cls");
                printf("< rea de Circunferncias >\n\n\n");
                printf("Raio: ");

                scanf("%f", &raio);
                while ((lixo = getchar()) != '\n' && lixo != EOF);

                if(raio > 0)
                {
                    area = raio * raio * 3.14;

                    printf("\nrea Encontrada: %.4f", area);
                    printf("\n\nPrima \"enter\" para continuar...");

                    //parar o ecr
                    getchar();
                }

            }

            system("cls");
            printf("\nTodas as reas Encontradas");
            printf("\n\nPrima \"enter\" para continuar...");

            //parar o ecr
            getchar();
            break;
        case '4'://permetro de 5 circungerncias

            perimetro = raio = 0.0;
            system("cls");
            printf("< Permetro de 5 Circunferncias >\n\n");
            for(i = 1; i <= 5; i++)
            {
                printf("Raio da %d Circunferncia: ", i);

                scanf("%f", &raio);
                while ((lixo = getchar()) != '\n' && lixo != EOF);

                if(raio > 0)
                {
                    perimetro = 2 * raio * 3.14;
                    printf("\nPermetro da %d Circunferncia: %.4f", i, perimetro);
                    printf("\n\nPrima \"enter\" para continuar...");

                    //parar o ecr
                    getchar();
                }
            }

            printf("\nTodos os Permetros Calculados");
            printf("\n\nPrima \"enter\" para continuar...");

            //parar o ecr
            getchar();
            break;
        case '5'://mdia ponderada
            soma = media = nota = 0.0;
            nr_notas = 0;

            do
            {
                system("cls");
                printf("< Mdia Simples >\n\n\n");
                printf("Indique a nota: ");

                scanf("%f", &nota);
                while ((lixo = getchar()) != '\n' && lixo != EOF);

                if(nota >= 0 && nota <= 20)
                {
                    soma += nota;
                    nr_notas++;
                }
            }
            while(nota >= 0);

            media = soma / nr_notas;

            printf("\nMdia de Notas: %.2f", media);
            printf("\n\nPrima \"enter\" para continuar...");

            //parar o ecr
            getchar();
        }
    }
    while(op != '6');

    return 0;
}
